openSUSE Security Update : xorg-x11-server (openSUSE-2017-710)

Medium Nessus Plugin ID 100883


The remote openSUSE host is missing a security update.


This update for xorg-x11-server fixes the following security issues :

- CVE-2017-2624: Prevent timing attack against MIT cookie.

- Use arc4random to generate cookies with more randomness.

- Remove unused function with use-after-free issue.


Update the affected xorg-x11-server packages.

See Also

Plugin Details

Severity: Medium

ID: 100883

File Name: openSUSE-2017-710.nasl

Version: $Revision: 3.1 $

Type: local

Agent: unix

Published: 2017/06/20

Modified: 2017/06/20

Dependencies: 12634

Risk Information

Risk Factor: Medium

Vulnerability Information

CPE: p-cpe:/a:novell:opensuse:xorg-x11-server, p-cpe:/a:novell:opensuse:xorg-x11-server-debuginfo, p-cpe:/a:novell:opensuse:xorg-x11-server-debugsource, p-cpe:/a:novell:opensuse:xorg-x11-server-extra, p-cpe:/a:novell:opensuse:xorg-x11-server-extra-debuginfo, p-cpe:/a:novell:opensuse:xorg-x11-server-sdk, p-cpe:/a:novell:opensuse:xorg-x11-server-source, cpe:/o:novell:opensuse:42.2

Required KB Items: Host/local_checks_enabled, Host/SuSE/release, Host/SuSE/rpm-list, Host/cpu

Patch Publication Date: 2017/06/19

Reference Information

CVE: CVE-2017-2624